%define bbname	busybox
%define bbver	1.00
%define prever	pre5
%define srcver	%{bbver}-%{prever}
%define release	0.%{prever}.1mdk

Name:		%{bbname}
Version:	%{bbver}
Release:	%{release}
Epoch:		1
Summary:	Multi-call binary combining many common Unix tools into one executable.
License:	GPL
Group:		Shells
URL:		http://www.busybox.net/
Source0:	http://www.busybox.net/downloads/%{bbname}-%{srcver}.tar.bz2
Source1:	http://www.busybox.net/downloads/%{bbname}-%{srcver}.tar.bz2.sign
Source2:	%{bbname}-%{srcver}.config
BuildRequires:	gcc >= 3.3.1-2mdk
BuildRequires:	uClibc-static-devel >= 0.9.21
BuildRoot:	%{_tmppath}/%{name}-root

%description
BusyBox combines tiny versions of many common UNIX utilities into a
single small executable. It provides minimalist replacements for most
of the utilities you usually find in GNU fileutils, shellutils, etc.
The utilities in BusyBox generally have fewer options than their
full-featured GNU cousins; however, the options that are included provide
the expected functionality and behave very much like their GNU counterparts.
BusyBox provides a fairly complete POSIX environment for any small or
embedded system.

BusyBox has been written with size-optimization and limited resources in
mind. It is also extremely modular so you can easily include or exclude
commands (or features) at compile time. This makes it easy to customize
your embedded systems. To create a working system, just add /dev, /etc,
and a kernel.

%prep
%setup -q -n %{bbname}-%{srcver}
install -m 644 %{SOURCE2} .config

%build
make oldconfig
make dep
uclibc make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 busybox $RPM_BUILD_ROOT%{_bindir}
install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT%{_mandir}/man1/busybox.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS Changelog INSTALL LICENSE README TODO docs/BusyBox.txt
%{_bindir}/busybox
%{_mandir}/man1/busybox.1.bz2

%changelog
* Tue Jan 06 2004 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre5.1mdk
- 1.00-pre5
- Re-generated config to cater for new options since pre4

* Sat Dec 13 2003 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre4.2mdk
- Updated config to include md5sum applet

* Thu Dec 11 2003 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre4.1mdk
- 1.00-pre4
- Added busybox sign source (Additional verification)
- Re-generated config to cater for new options added since pre3
- Fix rpm naming (s/0.5mdk/0.pre4.1mdk/, Epoch added for clean upgrade)
- Misc. spec fixes

* Mon Sep 22 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.4mdk
- Renamed source1 to keep track with the version
- Builds against uClibc-static-devel now (instead of glibc-static-devel)
  resulting in a much smaller executable size (now only around 36% of
  statically linked glibc size), ideal for use in an initrd

* Mon Sep 15 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.3mdk
- 1.00-pre3
- Renamed man page to busybox
- Updated summary and description

* Tue Sep 02 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.2mdk
- Build with gcc-3.3.1 instead of 2.96 since the internal compiler error
  has been fixed (Added require for this version >= 3.3.1-2mdk)

* Mon Sep 01 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.1mdk
- Initial version, 1.00-pre2
